# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: userid
    category: CDev\USPS
    type: XLite\View\FormField\Input\Text
    orderby: 10
    translations: [{code: en, option_name: 'User ID'}]
    module: CDev\USPS
  - name: password
    category: CDev\USPS
    type: XLite\View\FormField\Input\PasswordWithValue
    orderby: 20
    translations: [{code: en, option_name: 'Password'}]
    module: CDev\USPS
  - name: test_mode
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 30
    translations: [{code: en, option_name: 'Test mode'}]
    module: CDev\USPS
  - name: additionalSettingsSeparator
    category: CDev\USPS
    type: separator
    orderby: 100
    translations: [{code: en, option_name: 'Additional settings'}]
    module: CDev\USPS
  - name: commonOptionsSeparator
    category: CDev\USPS
    type: separator
    orderby: 200
    translations: [{code: en, option_name: 'Common options'}]
    module: CDev\USPS
  - name: dimensions
    category: CDev\USPS
    type: serialized
    value: 'a:3:{i:0;i:10;i:1;i:7;i:2;i:9;}'
    orderby: 210
    translations: [{code: en, option_name: 'Package dimensions (inches)', option_comment: 'If dimensions are not provided, Web Tools will assume package is regular in size and all dimensions are less than or equal to 12 inches.'}]
    module: CDev\USPS
  - name: girth
    category: CDev\USPS
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 0
    orderby: 220
    translations: [{code: en, option_name: Girth, option_comment: 'If Girth is provided with a non-zero value, the package will be considered "NONRECTANGULAR"'}]
    module: CDev\USPS
  - name: max_weight
    category: CDev\USPS
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 70
    orderby: 230
    translations: [{code: en, option_name: 'Maximum package weight'}]
    module: CDev\USPS
  - name: machinable
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 235
    translations: [{code: en, option_name: Machinable}]
    module: CDev\USPS
  - name: currency_rate
    category: CDev\USPS
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 1
    orderby: 240
    translations: [{code: en, option_name: 'Currency conversion rate', option_comment: 'Specify rate X, where 1 USD = X in shop currency.<br/>The shipping cost is always returned in US Dollars. So if the store uses a different currency for payments, you need to specify a conversion rate to convert the shipping cost returned by the shipping service into your store''s currency. If the same currency is used, leave this set to 1.'}]
    module: CDev\USPS
  - name: domesticUSPSSeparator
    category: CDev\USPS
    type: separator
    orderby: 300
    translations: [{code: en, option_name: 'Domestic U.S.P.S.'}]
    module: CDev\USPS
  - name: container
    category: CDev\USPS
    type: CDev\USPS\View\FormField\Select\Container
    value: VARIABLE
    orderby: 310
    translations: [{code: en, option_name: Container}]
    module: CDev\USPS
  - name: first_class_mail_type
    category: CDev\USPS
    type: CDev\USPS\View\FormField\Select\FirstClassMailType
    value: PARCEL
    orderby: 330
    translations: [{code: en, option_name: 'First-Class mail type'}]
    module: CDev\USPS
  - name: use_rate_type
    category: CDev\USPS
    type: CDev\USPS\View\FormField\Select\UseRateType
    value: Rate
    orderby: 350
    translations: [{code: en, option_name: 'Pricing type to be used'}]
    module: CDev\USPS
  - name: domestic_all_services_type
    category: CDev\USPS
    type: CDev\USPS\View\FormField\Select\AllServicesType
    value: online
    orderby: 370
    translations: [{code: en, option_name: 'Request rates for'}]
    module: CDev\USPS
  - name: internationalUSPSSeparator
    category: CDev\USPS
    type: separator
    orderby: 400
    translations: [{code: en, option_name: 'International U.S.P.S.'}]
    module: CDev\USPS
  - name: mail_type
    category: CDev\USPS
    type: CDev\USPS\View\FormField\Select\MailType
    value: Package
    orderby: 410
    translations: [{code: en, option_name: 'Mail type'}]
    module: CDev\USPS
  - name: intlContainer
    category: CDev\USPS
    type: CDev\USPS\View\FormField\Select\ContainerIntl
    value: NONROLL
    orderby: 420
    translations: [{code: en, option_name: Container}]
    module: CDev\USPS
  - name: commercial
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 430
    translations: [{code: en, option_name: 'Get commercial base postage'}]
    module: CDev\USPS
  - name: gxg
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 440
    translations: [{code: en, option_name: 'Global Express Guarantee (GXG)'}]
    module: CDev\USPS
  - name: gxg_pobox
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 450
    translations: [{code: en, option_name: 'GXG destination is a post office box'}]
    module: CDev\USPS
  - name: gxg_gift
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 460
    translations: [{code: en, option_name: 'GXG package contains a gift'}]
    module: CDev\USPS
  - name: cacheOnDeliverySeparator
    category: CDev\USPS
    type: separator
    orderby: 500
    translations: [{code: en, option_name: 'Cash on delivery'}]
    module: CDev\USPS
  - name: use_cod_price
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 510
    translations: [{code: en, option_name: 'Use a fixed amount Collect on Delivery fee', option_comment: 'If you are planning to allow your customers to use the COD payment method for orders shipped with USPS shipping methods, you can make the calculation of shipping costs faster by setting a fixed extra fee for using the COD payment method.<br /><br />If a fixed amount COD fee is not set on the store''s end, it will be calculated on the USPS end, and to get information about the COD fee amount the store will need to send several requests to the USPS API (one for each USPS service type), which may take up to 14 seconds. When using a fixed amount COD fee, the store will only send a single request to the USPS API, which will take under one second.<br /><br />Using a <b>fixed amount COD fee</b> allows the store to calculate the shipping cost much faster and is the <b>recommended option</b>.'}]
    module: CDev\USPS
  - name: cod_price
    category: CDev\USPS
    type: XLite\View\FormField\Input\Text\Price
    value: 6.95
    orderby: 520
    translations: [{code: en, option_name: 'Fixed COD price', option_comment: 'If you have selected to use a fixed COD fee, specify the fee amount here. The COD fee will be used for all shipping methods returned by the USPS server.<br /><br />You can find the current price for the USPS Collect on Delivery (COD) extra service on this page: <a href="https://www.usps.com/business/add-extra-services.htm" target="_blank">https://www.usps.com/business/add-extra-services.htm</a>'}]
    module: CDev\USPS
  - name: additionalOptionsSeparator
    category: CDev\USPS
    type: separator
    orderby: 600
    translations: [{code: en, option_name: 'Additional options'}]
    module: CDev\USPS
  - name: debug_enabled
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 610
    translations: [{code: en, option_name: 'Log all communication between shopping cart and USPS server'}]
    module: CDev\USPS
  - name: autoenable_new_methods
    category: CDev\USPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 620
    translations: [{code: en, option_name: 'Auto enable new USPS shipping methods'}]
    module: CDev\USPS
XLite\Model\Shipping\Method:
  - processor: usps
    carrier: ''
    code: ''
    enabled: false
    added: false
    position: 0
    moduleName: CDev_USPS
    translations: [{code: en, name: USPS}]
XLite\Model\Payment\Method:
  - service_name: COD_USPS
    class: CDev\USPS\Model\Payment\Processor\COD
    countries: [US]
    added: 0
    translations: [{code: en, name: 'Cash on Delivery (USPS)'}, {code: es, name: 'Contra reembolso (USPS)'}]
XLite\Model\LanguageLabel:
  - name: 'U.S.P.S. module allows you to use online shipping rates calculation via USPS Web Tools Ecommerce API.'
    translations: [{code: en, label: '<strong>U.S.P.S.</strong> module allows you to use online shipping rates calculation via <a href="http://www.usps.com/webtools" target="_blank">USPS Web Tools Ecommerce API</a>.'}]
  - name: '"Cash on delivery" status'
    translations: [{code: en, label: '"Cash on delivery" status'}]
  - name: usps.CODStatusOptionComment
    translations: [{code: en, label: 'Note: To enable/disable the "Cash on delivery" payment option, you should enable/disable the payment method "Cash on delivery (U.S.P.S.)" on the <a href="{{URL}}">Payment methods page</a>.'}]
  - name: 'Refresh list of available methods'
    translations: [{code: en, label: 'Refresh list of available methods'}]
  - name: 'Wrong container type selected: {{value}}. For large package size only the following types are allowed: RECTANGULAR, NONRECTANGULAR, VARIABLE'
    translations: [{code: en, label: 'Wrong container type selected: {{value}}. For large package size only the following types are allowed: RECTANGULAR, NONRECTANGULAR, VARIABLE'}]
  - name: '{{value}} is an invalid container type for a REGULAR package. Valid Container is: VARIABLE'
    translations: [{code: en, label: '{{value}} is an invalid container type for a REGULAR package. Valid Container is: VARIABLE'}]
  - name: 'USPS Shipments'
    translations: [{code: en, label: 'USPS Shipments'}]
  - name: 'Tracking information was updated successfully'
    translations: [{code: en, label: 'Tracking information was updated successfully'}]
  - name: 'Shipment has been voided successfully'
    translations: [{code: en, label: 'Shipment has been voided successfully'}]
  - name: 'Shipment has been created successfully'
    translations: [{code: en, label: 'Shipment has been created successfully'}]
  - name: 'Shipment Id'
    translations: [{code: en, label: 'Shipment Id'}]
  - name: 'Tracking number'
    translations: [{code: en, label: 'Tracking number'}]
  - name: 'Delivery cost'
    translations: [{code: en, label: 'Delivery cost'}]
  - name: 'Shipping label'
    translations: [{code: en, label: 'Shipping label'}]
  - name: 'Shipment options'
    translations: [{code: en, label: 'Shipment options'}]
  - name: 'Method name'
    translations: [{code: en, label: 'Method name'}]
  - name: 'Parcel type'
    translations: [{code: en, label: 'Parcel type'}]
  - name: 'Parcel weight'
    translations: [{code: en, label: 'Parcel weight'}]
  - name: 'Parcel dimensions'
    translations: [{code: en, label: 'Parcel dimensions'}]
  - name: 'Irregular parcel girth'
    translations: [{code: en, label: 'Irregular parcel girth'}]
  - name: 'Special services'
    translations: [{code: en, label: 'Special services'}]
  - name: 'COD value'
    translations: [{code: en, label: 'COD value'}]
  - name: 'Insurance value'
    translations: [{code: en, label: 'Insurance value'}]
  - name: 'Label format'
    translations: [{code: en, label: 'Label format'}]
  - name: 'Label size'
    translations: [{code: en, label: 'Label size'}]
  - name: 'Hide total carrier charge'
    translations: [{code: en, label: 'Hide total carrier charge'}]
  - name: 'Hide the carrier shipping charge on the label'
    translations: [{code: en, label: 'Hide the carrier shipping charge on the label'}]
  - name: 'Non delivery option'
    translations: [{code: en, label: 'Non delivery option'}]
  - name: 'Use this field for instructions in case the package is not delivered.'
    translations: [{code: en, label: 'Use this field for instructions in case the package is not delivered.'}]
  - name: 'Print custom message 1'
    translations: [{code: en, label: 'Print custom message 1'}]
  - name: 'This is a user specified message that gets printed on the face of the label. A string of up to 50 characters can be printed on the label.'
    translations: [{code: en, label: 'This is a user specified message that gets printed on the face of the label. A string of up to 50 characters can be printed on the label.'}]
  - name: 'Print custom message 2'
    translations: [{code: en, label: 'Print custom message 2'}]
  - name: 'This is a user specified message that gets printed on the bottom of the label. A string of up to 50 characters can be printed on the label.'
    translations: [{code: en, label: 'This is a user specified message that gets printed on the bottom of the label. A string of up to 50 characters can be printed on the label.'}]
  - name: 'Shipping label sender signature'
    translations: [{code: en, label: 'Shipping label sender signature'}]
  - name: 'Adds the sender’s signature and the date on CN22 and CP72 shipping labels. Enter the signature as a string. The Sender’s signature date is automatically populated.'
    translations: [{code: en, label: 'Adds the sender’s signature and the date on CN22 and CP72 shipping labels. Enter the signature as a string. The Sender’s signature date is automatically populated.'}]
  - name: 'Create shipment'
    translations: [{code: en, label: 'Create shipment'}]
  - name: 'Please note: the USPS Web tools APIs print labels without postage.'
    translations: [{code: en, label: 'Please note: the USPS Web tools APIs print labels without postage.'}]
  - name: 'Savings - Up to 49% off retail USPS postage rates'
    translations: [{code: en, label: '<strong>Savings</strong> - Up to 49% off retail USPS postage rates'}]
  - name: 'Convenience - Verify addresses and buy & print compliant USPS labels directly from the X-Cart application'
    translations: [{code: en, label: '<strong>Convenience</strong> - Verify addresses and buy & print compliant USPS labels directly from the X-Cart application'}]
  - name: 'Delivery date'
    translations: [{code: en, label: 'Delivery date'}]
  - name: 'Estimate delivery date'
    translations: [{code: en, label: 'Estimate delivery date'}]
  - name: Girth
    translations: [{code: en, label: Girth}]
  - name: 'Ship date'
    translations: [{code: en, label: 'Ship date'}]
  - name: 'Unable to get merchant info'
    translations: [{code: en, label: 'Unable to get merchant info'}]
  - name: 'Update date'
    translations: [{code: en, label: 'Update date'}]
  - name: 'Update tracking info'
    translations: [{code: en, label: 'Update tracking info'}]
  - name: 'All dimensions must be greater than 0'
    translations: [{code: en, label: 'All dimensions must be greater than 0'}]
  - name: 'Online methods only'
    translations: [{code: en, label: 'Online methods only'}]
  - name: 'All methods'
    translations: [{code: en, label: 'All methods'}]
  - name: 'Variable'
    translations: [{code: en, label: 'Variable'}]
  - name: 'Flat rate envelope'
    translations: [{code: en, label: 'Flat rate envelope'}]
  - name: 'Padded flat rate envelope'
    translations: [{code: en, label: 'Padded flat rate envelope'}]
  - name: 'Legal flat rate envelope'
    translations: [{code: en, label: 'Legal flat rate envelope'}]
  - name: 'SM flat rate envelope'
    translations: [{code: en, label: 'SM flat rate envelope'}]
  - name: 'Window flat rate envelope'
    translations: [{code: en, label: 'Window flat rate envelope'}]
  - name: 'Gift card flat rate envelope'
    translations: [{code: en, label: 'Gift card flat rate envelope'}]
  - name: 'Flat rate box'
    translations: [{code: en, label: 'Flat rate box'}]
  - name: 'SM flat rate box'
    translations: [{code: en, label: 'SM flat rate box'}]
  - name: 'MD flat rate box'
    translations: [{code: en, label: 'MD flat rate box'}]
  - name: 'LG flat rate box'
    translations: [{code: en, label: 'LG flat rate box'}]
  - name: 'Regional rate boxA'
    translations: [{code: en, label: 'Regional rate boxA'}]
  - name: 'Regional rate boxB'
    translations: [{code: en, label: 'Regional rate boxB'}]
  - name: 'Other than rolls'
    translations: [{code: en, label: 'Other than rolls'}]
  - name: 'Rolls'
    translations: [{code: en, label: 'Rolls'}]
  - name: 'Letter'
    translations: [{code: en, label: 'Letter'}]
  - name: 'Large Envelope'
    translations: [{code: en, label: 'Large Envelope'}]
  - name: 'Parcel'
    translations: [{code: en, label: 'Parcel'}]
  - name: 'Postcard'
    translations: [{code: en, label: 'Postcard'}]
  - name: 'Large Postcard'
    translations: [{code: en, label: 'Large Postcard'}]
  - name: 'Package service'
    translations: [{code: en, label: 'Package service'}]
  - name: 'Package'
    translations: [{code: en, label: 'Package'}]
  - name: 'Postcards'
    translations: [{code: en, label: 'Postcards'}]
  - name: 'Envelope'
    translations: [{code: en, label: 'Envelope'}]
  - name: 'Large envelope'
    translations: [{code: en, label: 'Large envelope'}]
  - name: 'Flat rate'
    translations: [{code: en, label: 'Flat rate'}]
  - name: 'Airmail mbag'
    translations: [{code: en, label: 'Airmail mbag'}]
  - name: 'Abandon'
    translations: [{code: en, label: 'Abandon'}]
  - name: 'Reject'
    translations: [{code: en, label: 'Reject'}]
  - name: 'Return'
    translations: [{code: en, label: 'Return'}]
  - name: 'Retail Pricing'
    translations: [{code: en, label: 'Retail Pricing'}]
  - name: 'Commercial Base Pricing'
    translations: [{code: en, label: 'Commercial Base Pricing'}]
  - name: 'Commercial Plus Pricing'
    translations: [{code: en, label: 'Commercial Plus Pricing'}]
